Core - Task # 54979

Epic # 55070 (Accepted): Workpackages
Epic # 54260 (Accepted): WP: FAL Missing Issues / Features / API
Story # 54266 (New): As an User | want FAL to be performant

Status: Resolved Priority: Must have

Author: Steffen Ritter Category: File Abstraction Layer (FAL)
Created: 2014-01-14 Assigned To: Steffen Ritter

Updated: 2014-04-15 Due date:

TYPO3 Version: 6.2

PHP Version: 5.4

Complexity:

Sprint Focus:

Subject: FrontendContentAdapterService should disabled for new installations.

Description

The FrontendAdapaterservice is a backwardscompatibilty layer for TypoScript which expects data to be present in the old ways.

This Service is very slow and should be disabled on new installations by default.

Related issues:

related to Core - Bug # 58889: Checksum in generated images changes

Closed

2014-05-17

Associated revisions

Revision 01806417 - 2014-03-21 18:03 - Steffen Ritter

[TASK] Allow FrontendContentAdapter to be disabled

The FrontendContentAdapter transforms tt_content and pages records
within cObject to the format which they have been stored in in pre

6.x installations, so probably existing legacy TypoScript config

can deal with the same data.

This patchset introduces an AllConfiguration flag allowing to disable
that service. For new installations the service is disabled by default,

upgrading installations have the service enabled.

Resolves: #54979

Releases: 6.2

Change-Id: 1254f5¢170c3e6a9f5ee214c0fe0e7a58e080cf34
Reviewed-on: https://review.typo3.org/26807

Reviewed-by: Markus Klein
Tested-by: Markus Klein
Reviewed-by: Alexander Stehlik
Tested-by: Alexander Stehlik
Reviewed-by: Stefan Neufeind
Reviewed-by: Steffen Ritter
Tested-by: Steffen Ritter

History

#1 - 2014-01-14 14:41 - Gerrit Code Review

2015-08-04
https://review.typo3.org/26807

- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26807

#2 - 2014-01-14 16:13 - Gerrit Code Review

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26807

#3 - 2014-01-14 16:25 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26807

#4 - 2014-01-16 18:06 - Gerrit Code Review

Patch set 4 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26807

#5 - 2014-02-20 08:10 - Steffen Ritter
- % Done changed from 0 to 70

#6 - 2014-02-27 00:34 - Gerrit Code Review

Patch set 5 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26807

#7 - 2014-03-18 11:02 - Gerrit Code Review

Patch set 6 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/26807

#8 - 2014-03-18 11:53 - Gerrit Code Review

Patch set 7 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26807

#9 - 2014-03-18 13:12 - Gerrit Code Review

Patch set 8 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/26807

#10 - 2014-03-21 18:30 - Steffen Ritter
- Status changed from Under Review to Resolved
- % Done changed from 70 to 100

Applied in changeset commit:01806417edf5b566dd4db2b6519923a10f3f7cf5.

#11 - 2014-04-15 16:03 - Florian Seirer

If this is such a big performance killer, is there any documentation as to how | have to adapt my typoscript to be able set
[FE][activateContentAdapter]=0 in migrated installations?
